
import java.awt.event.*;
import javax.swing.JOptionPane;
import javax.swing.JMenuItem;
/**Se implemento a esta clase las acciones a tomar en caso de Resume y Start.*/
public class WorldControlMenuListener implements ActionListener {

    private MyWorld world;

    public WorldControlMenuListener(MyWorld w) {
        world = w;
    }

    public void actionPerformed(ActionEvent e) {
        JMenuItem menuItem = (JMenuItem) (e.getSource());
        String text = menuItem.getText();
        if (text.equals("Resume")) {
            world.resume();
        }
        if (text.equals("Start")) {
            world.start();
        }
        if (text.equals("Stop")) {
            world.stop();
        }
        if (text.equals("Gravity")) {
            String data = JOptionPane.showInputDialog("Enter Gravity [m/s^2]");
            world.setGravity(new Vector2D(0, Float.parseFloat(data)));
        }
        if (text.equals("Viscosity")) {
            String data = JOptionPane.showInputDialog("Enter Viscosity [kg/(sm)]");
            world.setViscosity(Float.parseFloat(data));
        }
        if (text.equals("Delta time")) {
            String data = JOptionPane.showInputDialog("Enter delta t [s]");
            world.setDelta_t(Float.parseFloat(data));
        }
        if (text.equals("Graphics Refresh time")) {
            String data = JOptionPane.showInputDialog("Enter refresh time [s]");
            world.setRefreshPeriod(Float.parseFloat(data));
        }
    }
}
