
import java.awt.event.*;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
/**Se modifico, el que se agrega el efecto para cuando se presiona Delete y para cuando se inserta un Rubber y se agrego lo necesario para ingresar inputs de masa y constantes elasticas. Tambien se agrego lo necesario para que no se pueda agregar ni quitar objetos cuando la simulacion no este detenida.*/
public class ConfigurationMenuListener implements ActionListener {

    private MyWorld world;
   
    public ConfigurationMenuListener(MyWorld w) {
        world = w;
    }
/**Para cada elemento que se quiera agregar se hace una llamada a JOptionPane para solicitar input y luego anadira elemento a world. Y Presionar Delete, llamara a world.toggleRemoveElement(). Y solo reacciona si world.isRunning() retorna falso.*/
    public void actionPerformed(ActionEvent e) {
        JMenuItem menuItem = (JMenuItem) (e.getSource());
        String text = menuItem.getText();
        if (!world.isRunning()) {
            if (text.equals("Ball")) {
                String data = JOptionPane.showInputDialog("Enter mass [kg]");
                world.addElement(new GBall(Float.parseFloat(data), new Vector2D(200f, 200f), new Vector2D(), 15f));
            }
            if (text.equals("Fixed Hook")) {
                world.addElement(new GFixedHook(new Vector2D(200f, 100f), 30f));
            }
            if (text.equals("Spring")) {
                String data = JOptionPane.showInputDialog("Enter stiffness [N/m]");
                world.addElement(new GSpring(200f, Float.parseFloat(data)));
            }
            if (text.equals("Rubber")) {
                String data = JOptionPane.showInputDialog("Enter stiffness [N/m]");
                world.addElement(new GRubber(200f, Float.parseFloat(data)));
            }
            if (text.equals("Delete")) {
                world.toggleRemoveElement();
            }
        }

    }
}
